Subject: bnx2 limits user-specified advertised speeds to one

From: Vlad Yasevich <[email-masked]>
Date: Wed, 10 Feb 2010 16:05:14 -0500

Hi

A customer has noted that when attempting to change the advertised speeds
setting on card using a bnx2 driver, the driver advertises either all available
speeds or just one.  In other words, if a user attempts to set multiple
advertised speeds,  the settings will not be honored.

Looking at the code in bnx2_set_settings, the checks for 10baseT and 100baseT
make an assumption that the user provided only 1 speed setting.

e1000 and e1000e work correctly when the user specifies multiple advertised
speeds.

Before attempting to fix this, I wanted to ask if there was a reason for the
current functionality.

Thanks
-vlad